Skip to content

Update Layout

PATCH
/api/v1/workspaces/{workspace_id}/layouts/{id}

Updates a layout.

workspace_id
required
integer

Workspace ID

id
required
integer

Layout ID

object
name
string
email_design_system_id
integer
brand_profile_id
integer
nullable
content
object
container_component_instance
required
object
id
required
string
Example
bd1c1b82-1a7b-4f0f-b079-30c1d4189bed
name
string
Example
My Component
component_name
required

The name of the component definition this instance is based on.

string
Example
Headline
conditional_id

The ID of the conditional applied to this component instance. When set, the component renders a separate variant for each branch of the conditional.

integer
nullable
Example
1
field_values

Field values organized by branch key.

object
key
additional properties

Field values organized by locale code.

object
key
additional properties

Field values keyed by liquid variable name.

object
key
additional properties
object
value
required
One of:
string
link_tracking_parameters

Link tracking parameter values specific to this field.

object
key
additional properties
string
hidden_from_locales

A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.

object
key
additional properties
boolean
Example
true
link_tracking_parameters
object
branch_content

Per-component-instance link tracking parameter values, organized by branch key, then by locale code.

object
key
additional properties
object
key
additional properties

A map of link tracking parameter names to their values for this component instance.

object
key
additional properties
string
component_instances
required
Array<object>
object
id
required
string
Example
bd1c1b82-1a7b-4f0f-b079-30c1d4189bed
name
string
Example
My Component
component_name
required

The name of the component definition this instance is based on.

string
Example
Headline
conditional_id

The ID of the conditional applied to this component instance. When set, the component renders a separate variant for each branch of the conditional.

integer
nullable
Example
1
field_values

Field values organized by branch key.

object
key
additional properties

Field values organized by locale code.

object
key
additional properties

Field values keyed by liquid variable name.

object
key
additional properties
object
value
required
One of:
string
link_tracking_parameters

Link tracking parameter values specific to this field.

object
key
additional properties
string
hidden_from_locales

A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.

object
key
additional properties
boolean
Example
true
link_tracking_parameters
object
branch_content

Per-component-instance link tracking parameter values, organized by branch key, then by locale code.

object
key
additional properties
object
key
additional properties

A map of link tracking parameter names to their values for this component instance.

object
key
additional properties
string

Successful

object
id
required
integer
Example
12345
name
required
string
Example
Admin
content
required
object
container_component_instance
required
object
id
required
string
Example
bd1c1b82-1a7b-4f0f-b079-30c1d4189bed
name
string
Example
My Component
component_name
required

The name of the component definition this instance is based on.

string
Example
Headline
conditional_id

The ID of the conditional applied to this component instance. When set, the component renders a separate variant for each branch of the conditional.

integer
nullable
Example
1
field_values

Field values organized by branch key.

object
key
additional properties

Field values organized by locale code.

object
key
additional properties

Field values keyed by liquid variable name.

object
key
additional properties
object
value
required
One of:
string
link_tracking_parameters

Link tracking parameter values specific to this field.

object
key
additional properties
string
hidden_from_locales

A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.

object
key
additional properties
boolean
Example
true
link_tracking_parameters
object
branch_content

Per-component-instance link tracking parameter values, organized by branch key, then by locale code.

object
key
additional properties
object
key
additional properties

A map of link tracking parameter names to their values for this component instance.

object
key
additional properties
string
component_instances
required
Array<object>
object
id
required
string
Example
bd1c1b82-1a7b-4f0f-b079-30c1d4189bed
name
string
Example
My Component
component_name
required

The name of the component definition this instance is based on.

string
Example
Headline
conditional_id

The ID of the conditional applied to this component instance. When set, the component renders a separate variant for each branch of the conditional.

integer
nullable
Example
1
field_values

Field values organized by branch key.

object
key
additional properties

Field values organized by locale code.

object
key
additional properties

Field values keyed by liquid variable name.

object
key
additional properties
object
value
required
One of:
string
link_tracking_parameters

Link tracking parameter values specific to this field.

object
key
additional properties
string
hidden_from_locales

A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.

object
key
additional properties
boolean
Example
true
link_tracking_parameters
object
branch_content

Per-component-instance link tracking parameter values, organized by branch key, then by locale code.

object
key
additional properties
object
key
additional properties

A map of link tracking parameter names to their values for this component instance.

object
key
additional properties
string
email_design_system_id
required
integer
Example
12345
brand_profile_id
required
integer
nullable
Example
12345
locales
required
Array<string>
Allowed values: ar-SA bn-BD bn-IN ca-ES cs-CZ da-DK de-AT de-CH de-DE el-GR en-AU en-CA en-GB en-IE en-IN en-NZ en-US en-ZA es-AR es-CL es-CO es-ES es-MX es-US fi-FI fr-BE fr-CA fr-CH fr-FR he-IL hi-IN hu-HU id-ID it-CH it-IT ja-JP ko-KR nl-BE nl-NL no-NO pl-PL pt-BR pt-PT ro-RO ru-RU sk-SK sv-SE ta-IN ta-LK th-TH tr-TR zh-CN zh-HK
created_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z
updated_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z

Unauthorized

object
message
required
string
Example
Record not found

Forbidden

object
message
required
string
Example
Record not found

Not Found

object
message
required
string
Example
Record not found

Unprocessable Entity

object
message
required
string
Example
Failed to save
errors
required
object
key
additional properties
Array<string>
Example
{
"errors": {
"username": [
"Username is required.",
"Username must be unique."
],
"email": [
"Invalid email format."
]
}
}